##### basic_random_access_file::open (3 of 4 overloads)

Inherited from basic_file.

Open the file using the specified path.

    void open(
        const std::string & path,
        file_base::flags open_flags);

This function opens the file so that it will use the specified path.

###### Parameters

path

  The path name identifying the file to be opened.

open_flags

  A set of flags that determine how the file should be opened.

###### Exceptions

asio::system_error

  Thrown on failure.

Exactly one of the following `file_base::flags` values must be specified:

- flags::read_only
- flags::write_only
- flags::read_write

The following flags may be bitwise or-ed in addition:

- flags::append
- flags::create
- flags::exclusive
- flags::truncate
- flags::sync_all_on_write

###### Example

    asio::stream_file file(my_context);
    file.open("/path/to/my/file", asio::stream_file::read_only);